#!/bin/bash
# add this to recording started event
# /home/peter/proj/import_test/bin/import_rec_start.sh %FILE% %CHANID% %CARDID% %ENDTIMEISO% &
exec 1>>/home/peter/proj/import_test/log/import_rec_start.log
exec 2>&1
date
echo input parameters are $1 $2 $3 $4
set -x
file="$1"
chanid=$2
cardid=$3
endtime=$4
# This needs to be changed to a process that will get the real
# file name, You could have multiple storage groups, so assuming
# one directory is not acceptable
storage_dir=/home/peter/data/mythtv-build/storage
fullfile="$storage_dir/$file"
# The card id and channel need to be checked against mythtv rather
# than hard code here. some mapping to the channels.conf is needed.
# There will normally be more than 2 channels.
if [[ "$cardid" == 38 ]] ; then
    if [[ "$chanid" == 13587 ]] ; then
        channame=IONLife
    elif [[ "$chanid" == 13582 ]] ; then
        channame=ION
    fi
    if [[ "$channame" != "" ]] ; then
        azap -c /home/peter/proj/import_test/dvb/channels.conf -r $channame &
        azap_pid=$!
        ffmpeg -i /dev/dvb/adapter0/dvr0 -y -acodec copy -vcodec copy -scodec copy -f mpegts "$fullfile" &
        ffmpeg_pid=$!
        # Calculation of recording duration. The recording is stopped
        # by a sleep timer and a kill command. Another option would
        # be to set a parameter in ffmpeg of the encoding start and end time
        # and let it automatically end after it sees the appropriate
        # quantity of video.
        end=`date -d $endtime +%s`
        now=`date +%s`
        let duration=end-now
        sleep $duration
        kill $azap_pid $ffmpeg_pid
    fi
fi

# echo azap_pid=$azap_pid > /home/peter/proj/import_test/log/pids_$file
# echo ffmpeg_pid=$ffmpeg_pid >> /home/peter/proj/import_test/log/pids_$file
